.tag-post {
    display: grid;
    gap: 15px;
    grid-template-columns: repeat(3,1fr);
}

/* tags start */
.block-tags {
    position: sticky;
    top: 0;
    height: 100%;
    margin-left: auto;
    transition: 0.3s;
    width: 250px;
    padding: 15px;
    margin-top: 30px;
    border: 1px solid #e4e4e4;
}

.block-tags h2 {
    margin-bottom: 15px;
    text-align: center;
}

.post_tags {
    /* width: 250px; */
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
}

.post_tags a {
    font-size: 16px !important;
    color: #000000;
    text-decoration: none;
    transition: .3s;
    background-color: #f2f2f2;
    width: 200px;
    padding: 5px 10px;
}
.news-post__pic img {
    width: 100%;
}

.block-tags a:hover {
    background-color: #dfdfdf;
}
/* tags end */


@media (max-width: 1439px) {
}

@media (max-width: 1279px) {
}

@media (max-width: 1023px) {
    .news-post__text h2 {
        font-weight: 600;
        font-size: 22px;
    }

    .block-tags {
        margin-top: 20px;
    }
    
    .cat-item > a {
        font-weight: 600;
        font-size: 24px;
    }

    .name-heading {
        margin-top: 20px;
        margin-bottom: 10px;
    }

    .cat-item {
        margin-bottom: 30px;
    }

    .block-tags {
        width: 230px;
    }

    .tag-post {
        gap: 10px;
        grid-template-columns: repeat(2,1fr);
    }
}

@media (max-width: 699px) {
    .cat-item {
        margin-bottom: 20px;
    }

    .news-post__text {
        bottom: 10px;
    }

    .news-post__text h2 {
        font-size: 20px;
    }

    .block-center {
        width: calc(100% - 42px);
    }

    body.hidden {
        overflow: hidden;
    }

    .block-tags {
        padding: 0 10px;
        margin-top: 60px;
        width: 42px;
        padding-top: 10px;
        z-index: 11;
    }

    .block-tags_button {
        display: flex;
        align-items: center;
        font-size: 20px;
        font-weight: 600;
        writing-mode: vertical-rl;
        padding: 10px 5px;
        background-color: #f2f2f2;
        margin-top: 0;
    }

    .block-tags h2 {
        margin-bottom: 0;
    }

    .block-tags_button::before {
        content: url('../img/mob-menu-open.svg');
        display: block;
        writing-mode: vertical-rl;
        width: auto;
        height: 14px;
        transform: rotate(0.75turn);
        margin-top: 5px;
        margin-bottom: 10px;
    }

    .block-tags.active .block-tags_button::before {
        content: url('../img/mob-menu-close.svg');
    }

    .post_tags {
        width: auto;
        position: fixed;
        top: 10px;
        right: 0;
        transform: translateX(100%);
        gap: 0;
        z-index: 11;
    }

    .post_tags.active {
        position: absolute;
        transform: translateX(-18%);
        transition: 0.3s;
    }

    .post_tags a {
        border-radius: 0;
        border-bottom: 1px solid gainsboro;
        padding: 12px 15px;
    }

    .post_tags a:last-child {
        border-bottom: 0;
    }
}

@media (max-width: 424px) {
    .block-tags h2 {
        font-size: 18px;
    }

    .cat-item {
        margin-bottom: 10px;
    }

    .news-post__text h2 {
        font-size: 18px;
        text-align: end;
    }
}

@media (max-width: 374px) {
}